- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# Command Class Reference

`#include <Command.h>`

Inheritance diagram for Command:

List of all members.

## Public Member Functions
virtual void | execute ()=0
virtual std::string | getString ()=0
## Static Public Member Functions
static Command * | loadCommand (List *command)

## Detailed Description

Definition at line 13 of file Command.h.

## Member Function Documentation

virtual void Command::execute | ( |  | ) | `[pure virtual]`

| Implemented in JumpCommand, JumpResetCommand, CrouchCommand, MoveCommand, TurnCommand, PlayMusicCommand, PlaySoundCommand, FollowPlayerCommand, FollowPlayerInRangeCommand, RunFromPlayerInRangeCommand, ShootInRangeCommand, ShootCommand, SecondaryShootCommand, CutSceneTextCommand, SetCameraCommand, SetControlCommand, PlayScriptCommand, SetCutSceneCommand, AimCommand, AddHealthCommand, SetDoorLockCommand, AddScoreCommand, AddWeaponCommand, EndLevelCommand, StopPersonCommand, SaveCommand, RestoreCommand, SetPositionCommand, KillCommand, LiveCommand, ActivateCutSceneCommand, ActivateEnemyCommand, InvincibleCommand, and FlushCommand. Referenced by CommandManager::execute().

virtual std::string Command::getString | ( |  | ) | `[pure virtual]`

| Implemented in JumpCommand, JumpResetCommand, CrouchCommand, MoveCommand, TurnCommand, PlayMusicCommand, PlaySoundCommand, FollowPlayerCommand, FollowPlayerInRangeCommand, RunFromPlayerInRangeCommand, ShootInRangeCommand, ShootCommand, SecondaryShootCommand, CutSceneTextCommand, SetCameraCommand, SetControlCommand, PlayScriptCommand, SetCutSceneCommand, AimCommand, AddHealthCommand, SetDoorLockCommand, AddScoreCommand, AddWeaponCommand, EndLevelCommand, StopPersonCommand, SaveCommand, RestoreCommand, SetPositionCommand, KillCommand, LiveCommand, ActivateCutSceneCommand, ActivateEnemyCommand, InvincibleCommand, and FlushCommand.

Command * Command::loadCommand | ( | List * | command | ) | `[static]`

| Definition at line 6 of file Command.cpp. References List::firstString(), LiveCommand::id(), FlushCommand::id(), InvincibleCommand::id(), ActivateEnemyCommand::id(), KillCommand::id(), ActivateCutSceneCommand::id(), SetPositionCommand::id(), RestoreCommand::id(), SaveCommand::id(), CrouchCommand::id(), StopPersonCommand::id(), EndLevelCommand::id(), AddScoreCommand::id(), SetDoorLockCommand::id(), AddWeaponCommand::id(), AddHealthCommand::id(), SetCutSceneCommand::id(), AimCommand::id(), PlayScriptCommand::id(), SetControlCommand::id(), SetCameraCommand::id(), CutSceneTextCommand::id(), ShootInRangeCommand::id(), SecondaryShootCommand::id(), ShootCommand::id(), FollowPlayerInRangeCommand::id(), FollowPlayerCommand::id(), PlaySoundCommand::id(), PlayMusicCommand::id(), TurnCommand::id(), MoveCommand::id(), JumpResetCommand::id(), and JumpCommand::id(). Referenced by CommandManager::startPlaying().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/Command.cpp